import math

def ristkyliku_pindala(a, b): return a * b
def ristkyliku_ymbermoot(a, b): return 2 * (a + b)

def ringi_pindala(r): return math.pi * r**2
def ringi_ymbermoot(r): return 2 * math.pi * r
    


if __name__ == "__main__":
    for kujund in [{"a": 10, "b": 5, "type": "Ristkylik"},
                   {"a": 1, "b": 5, "type": "Ristkylik"},
                   {"r": 3, "type": "Ring"}]:
        if kujund["type"] == "Ristkylik":
            print(ristkyliku_pindala(kujund["a"], kujund["b"]))
            print(ristkyliku_ymbermoot(kujund["a"], kujund["b"]))
        elif kujund["type"] == "Ring":
            print(ringi_pindala(kujund["r"]))
            print(ringi_ymbermoot(kujund["r"]))
        
